Overview | Modules | Class Hierarchy | Classes | Members

# tlp::PropertyContext Class Reference
[Plugins]

`#include <PluginContext.h>`

Collaboration diagram for tlp::PropertyContext:

[legend]
List of all members.

## Detailed Description

Parameter for calling Property plugins.

## Public Member Functions

- PropertyContext ()
- ~PropertyContext ()

## Public Attributes

- Graph * graph
- PropertyInterface * propertyProxy
- PluginProgress * pluginProgress
- DataSet * dataSet

## Constructor & Destructor Documentation

tlp::PropertyContext::PropertyContext | ( |  | ) | `[inline]`

tlp::PropertyContext::~PropertyContext | ( |  | ) | `[inline]`

## Member Data Documentation

DataSet* tlp::PropertyContext::dataSet

Graph* tlp::PropertyContext::graph

PluginProgress* tlp::PropertyContext::pluginProgress

PropertyInterface* tlp::PropertyContext::propertyProxy

Tulip Software by LaBRI Visualization Team 2001 - 2010